Download it now!
Bug 82465 - Permanent crashes in Writer with images
Summary: Permanent crashes in Writer with images
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-11 13:01 UTC by thorsten.brandau
Modified: 2015-11-21 14:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Memory settings (109.90 KB, image/jpeg)
2014-08-11 16:26 UTC, thorsten.brandau
Details
saved document 1 (1.64 MB, application/zip)
2015-11-21 14:10 UTC, testjava
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thorsten.brandau 2014-08-11 13:01:57 UTC
Libreoffice 4.3.0.4 is even more unstable with graphics than the previous versions - which were getting worse already.

When inserting graphics via drag and drop, libreoffice crashes after a few (somewhere between 2 and 5).
When adding "legend" boxes to the graphics, it crashes when moving them after 3 or 4. 
When changing the annotation to such a picture, it crashes after 2 lines of text.

Crashes appear without error message, libreoffice closes, documents are not restored, so no save during crash.

This is actually by far the worst version of libreoffice so far. I always liked to use it because it was much more stable than word when having lots of graphics in documents. Now I feel like using MS-Word for windows 2.0, just with more crashes.

Does anyone test the resleases before they are released?
Comment 1 V Stuart Foote 2014-08-11 16:21:13 UTC
@Thorsten, please indicate the OS you are working with. Also, post up a screen clip of your Tools --> Options --> Memory settings.

Finally, a good test case document or two would be very helpful.
Comment 2 thorsten.brandau 2014-08-11 16:26:45 UTC
Created attachment 104450 [details]
Memory settings
Comment 3 thorsten.brandau 2014-08-11 16:27:47 UTC
Win7 x64 Professional, all patches applied.
Screenshot is uploaded.

It is kind of difficult to post on a public board a confidential document, but I'll try to generate something that matches the behaviour

Best
Comment 4 thorsten.brandau 2014-08-11 16:28:37 UTC
Sorry, 8GB Ram, Dell M6500 if that helps anybody. And the document is on a network path as well as all graphics to be included.
Comment 5 V Stuart Foote 2014-08-11 16:38:48 UTC
@Thorsten, thanks you look to have adequate memory resources applied.

So, was this a clean profile on install, or a migration? 

Hope you are able to craft a test document, thanks for the effort.

Meanwhile, any better stability if:
1) you rename and start with a clean user profile?

2) bring the document, and a sizable set of the images being manipulated, down off the network and store on the local disk? --remove network latency and any lock-file issues as cause--
Comment 6 thorsten.brandau 2014-08-12 07:24:17 UTC
@V Stuart Foote

thank you. It was a migration (in fact multiple migrations over the time).

1) will try

2) unfortunately the local disk space here is only for the operating system, all data is (and has to be) on the network. It is a 1GB network and usually I get around 35 Mbyte/s transfer, which should be sufficient.
Comment 7 QA Administrators 2015-04-01 14:46:50 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 8 thorsten.brandau 2015-04-02 10:52:11 UTC
Dear QA Team.
I Responded to the Needinfo request on August 12th, 2014. No further action from your side happened. As you can easily see in Comment 6.

If you need other information, it would be a great help to request those.

With Version 4.3.5.2 the problem is somewhat reduced, but still, especially with documents with many graphics or having multiple documents open, the error persists.

If you need more info, please state so.
Comment 9 V Stuart Foote 2015-04-02 12:32:49 UTC
(In reply to thorsten.brandau from comment #8)
> I Responded to the Needinfo request on August 12th, 2014. No further action
> from your side happened. As you can easily see in Comment 6.

Sorry, probably my fault. Clearing the NEEDINFO is an administrative process. 

So was there any difference with a fresh/clean user profile? Have you tested?

=-ref-=
https://wiki.documentfoundation.org/User_Profile#Resolving_corruption_in_the_user_profile

> 
> If you need other information, it would be a great help to request those.
> 

Of course we still prefer a test document (perhaps bundle up the content into a Zip file and post it to this issue). At the least better description of Steps to Reproduce your issue.

How are the embedded images, and the document being edited, being served to your PC?

What server OS, and share protocol (SMB/CIFS, NFS) or are you assigned iSCSI storage from NAS?  Are you working with UNC (\\theServer\yourFolder\yourFiles) or is the network share mounted (M:\yourFolder\yourFile)...

We need details from you to be able to replicate your issue.

> With Version 4.3.5.2 the problem is somewhat reduced, but still, especially
> with documents with many graphics or having multiple documents open, the
> error persists.
>

4.3.6.2 is current 4.3 branch. But, considerable work done on network resources for 4.4. Please consider giving that or a current 4.5 dev build a try. 
 
> If you need more info, please state so.

Just did.
Comment 10 thorsten.brandau 2015-04-02 13:15:52 UTC
Hi,

no there is no difference between a fresh and an "old" profile. Happens on any PC (windows 7 x64) here.

I generated a test document as presentation here (https://bugs.documentfoundation.org/show_bug.cgi?id=81378&redirected_from=fdo#c10). It is in fact pretty hard to reproduce the error. It happens frequently when I have a number of documents open, preferably several with many pictures. I am most of the time using full scale pictures and scale them in the Office documents. The problem is reduced if I prescale the pictures and include them smaller (especially for presentations).

I have the problem also if I copy a multi page document including pictures to another (also empty) document. In former versions up to 4.3.0 is was guaranteed that any such copy crashes libreoffice. Now it is pretty seldom, maybe every 4th or 5th time.

There are many ways to get this behaviour, however, they are not very reproducible. Sometimes it works, a few hours later it crashes.

When I have open e.g. a presentation (180 MB), some Text document (80 MB with many pictures) and some other text files, and I drag and drop a graphics into the document - either it crashes or it does not import the picture but offers the DDE filter.

If I reopen then the document where I wanted to insert the picture *only*, most of the time it works. We are talking at last 50 pictures in a 100 page document. 

Unfortunately, those documents are grown documents (operating manuals) that I am not allow to publish (well unless you plan to buy a production unit from us...). 

All files are on the server currently (SAMBA Server, Linux, 1GBit network), but it does not make a difference. Tried remote and local with the same results. Drives are mounted as drives (u:\...). 

I always upgrade libreoffice if it indicates that a new version is available. I will download today the current one (it does not say there is one, yet) and see if the problem reduces.

Actually this problem started back in the OpenOffice days. StarOffice (yes, I am a tad older) work with graphics just *perfect*. OpenOffice had its troubles, but the older versions worked more or less okay. Then I switched to LibreOffice and with every major revision the graphics handling got worse. It does not deplace the pictures, but very often in the middle of work a "file not accessible" is displayed were a graphics has been - as soon as I save then, I loose the graphics. Typically random or all graphics are lost. To repair this, I have to end LibreOffice with the task manager and reopen the (older) document. If I just close the document and reload, the problem persists.

I assume that there is some kind of memory bug or handler issue with graphics - independend if they are linked or embedded. 

Don't get me wrong, I really like LibreOffice, but it can be a pain in the neck when working with graphics.

BTW: I think the bug is related to that one https://bugs.freedesktop.org/show_bug.cgi?id=82239#c16
Comment 11 QA Administrators 2015-05-06 14:21:05 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team
Comment 12 tommy27 2015-05-24 15:54:59 UTC
@thorsten.brandau

is problem still reproducible with latest LibO 4.4.3 release?
Comment 13 thorsten.brandau 2015-05-26 08:00:01 UTC
It even got worse now after the update. It was a bit more stable with the  4.3.5 version, but the 4.4.3 version I installed last week is making it difficult to work with again. When inserting or copying and paste longer documents (e.g. 5-10 pages) with graphics (3-10) it crashes. Especially if the graphics are scale, i.e. the full scale was dropped into the document and the it was scaled to size. It is a bit more stable when the graphics are prescaled. All my graphics are JPEG images, mostly coming from Photoshop (JPEG, max. quality, 5 passes). Doing the same with PNG does not make any difference.
It also occurrs pretty frequently when I have opened several documents, all with graphics, and then save a few times. Then LibreOffice crashes with "OCI Handle Error".
Comment 14 raal 2015-05-26 08:22:36 UTC
If possible, please follow the instructions provided at this link < https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg > and submit a backtrace. That way a developer can look into the underlying reason of the crash.
Comment 15 tommy27 2015-09-19 06:11:23 UTC
@thorsten
please retest with 5.0.1.2 and give feedback
Comment 16 Ljiljan 2015-09-23 16:03:03 UTC
I don't experience frequent crashes in L.O. 5.0.1.2. but I experience it from time to time. L.O. 4.2. it was much more stable. 

In 5.0.1.2. Examples:

- I was opening document in PPTX. LO loaded 10 slides of preview and crashed. I open the same document again and it was working just fine.
- Once, I decided to enable some toolbar. Or track changes... I can't remember... and it crashed.
- My work done in previous versions of LO, LO didn't want to open for three times (it tries to open and then crashes). However, fourth time (I was just repeating the process) the document was opened.   
... and similar situation... I cannot find any logical explanation for this.
Comment 17 Ljiljan 2015-09-23 16:03:25 UTC
... and I am using Ubuntu 14.04.
Comment 18 testjava 2015-11-21 14:10:18 UTC
Created attachment 120700 [details]
saved document 1

Scenario:
Open a new Libreoffice odp file;
-insert a new slide , insert with copy/paste an image; repeated 10 times with succes
-insert a slide , insert an image read from the file system with click on the slide and clicking on the image button from the slide; repeated 10 times with succes
After all "insert slide / insert image" cycles a save was performed.
The document was saved as ppt, and again 10 cycles of "insert slide / insert image / save document" were performed.
The document was saved as pptx and again slides and images were inserted.
There was no problem on closing an loading the document.
The images were jpeg.
The test was performed on an Impress test version  5.1.0.0.alpha1, on a Windows XP system.